apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gregg Smith <...@gknw.net>
Subject Re: [VOTE] Release apr-util 1.5.1
Date Sat, 08 Sep 2012 02:16:43 GMT
[ +1 ] Release apr-util 1.5.1 as GA

I see no "new" issues, just the stuff I had mentioned on 1.5.0.
The warning was not an issue, I should not have even mentioned it.

Again, the win32 sources are missing .mak/.dep files. These have always been part of the windows
source packages until quietly dropped in 1.4. IIRC I saw mention of getting these into svn,
not sure where that discussion went. Might as well drop the win32 packages until they do,
we can always run lineends on the unix source and have what the windows source packages are
currently giving us as people expect these files in the "win32" source.

One issue I did not mention during 1.5.0 was that testlib would not build but I did not have
time to dig into it.

One reason is testall is not being linked to xml.lib, so it throws a lot of unresolved external
symbol errors out. It also does not get linked to apriconv-1.lib so xlate causes more unresolved
external symbol errors. I'm not sure if this has been broken in past versions or not, I would
think it has. This takes care of these for 1.5.next until the currently included expat is
removed (I saw mention of this recently);

--- test/makefile.win	2012-09-07 18:43:04.272200000 -0700
+++ test/makefile.win	2012-09-07 17:55:09.081200000 -0700
@@ -88,7 +88,9 @@
  !IF "$(MODEL)" == "static"
  PROGRAM_DEPENDENCIES = \
  	$(APR_PATH)\$(APROUTDIR)\apr-1.lib \
-	..\$(OUTDIR)\aprutil-1.lib
+	$(API_PATH)\$(APROUTDIR)\apriconv-1.lib \
+	..\$(OUTDIR)\aprutil-1.lib \
+	..\xml\expat\lib\$(OUTDIR)\xml.lib
  STATIC_CFLAGS = /D APR_DECLARE_STATIC /D APU_DECLARE_STATIC
  STATIC_LIBS = odbc32.lib odbccp32.lib wldap32.lib
  !ELSE


Testing:
testxlate           :  Line 63: expected<0>, but saw<22>
FAILED 1 of 1
testreslist         :  Line 255: expected<10>, but saw<20>
FAILED 1 of 1

I do not believe these are a regression however IIRC. I see no reason to not release 1.5.1.

Regards,

Gregg













Mime
View raw message